Skip to main content
GET
ListUsers

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int64>

The maximum number of users to return. The service may return fewer than this value. If unspecified, at most 50 users will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. Optional.

pageToken
string

A page token, received from a previous ListUsers call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListUsers must match the call that provided the page token. Optional.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are user_id and name. For further information about how to use CELs, please refer to this guide.

orderBy
string

How to order the retrieved users. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...". Available fields to order_by are:

  • created_date
  • modified_date

Response

A successful response.

The response of a call to UserService_ListUsersResponse.

users
object[]
nextPageToken
string